%global momorel 1

Summary: TagLib Audio Meta-Data Library
Name: taglib
Version: 1.4
Release: %{momorel}m
Group:   Development/Libraries
License: GPL
URL:     http://developer.kde.org/~wheeler/taglib.html
%NoSource 0 http://developer.kde.org/~wheeler/files/src/%{name}-%{version}.tar.gz dcd50ddb2544faeae77f194804559404
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: gcc-c++ >= 3.4.1-1m
# BuildPreReq: doxygen

%description
TagLib is a library for reading and editing the meta-data of several popular audio formats. Currently it supports both ID3v1 and ID3v2 for MP3 files, Ogg Vorbis comments and ID3 tags and Vorbis comments in FLAC files.

%package devel
Summary: TagLib Audio Meta-Data Library
Group:   Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
devel files for TagLib Audio Meta-Data Library

%prep
%setup -q

%build
CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--disable-debug \

make %{?_smp_mflags}

# # generate the TagLib API documentation
# cd taglib-api
# doxygen taglib.doxygen

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# remove unwanting files
rm -rf examples/.deps

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL
%{_libdir}/libtag*.so.*

%files devel
%defattr(-,root,root)
%doc examples
# %%doc taglib-api
%{_bindir}/taglib-config
%{_includedir}/taglib
%{_libdir}/pkgconfig/taglib.pc
%{_libdir}/libtag*.la
%{_libdir}/libtag*.so

%changelog
* Mon Aug  1 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4-1m)
- update to version 1.4 (for amarok-1.3-0.3.1m)

* Mon Nov 08 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.3.1-1m)
- update to 1.3.1

* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.3-2m)
- rebuild against gcc-c++-3.4.1
- add BuildPrereq: gcc-c++

* Wed Sep 15 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3-1m)
- update to version 1.3

* Tue Aug 17 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2-1m)
- update to version 1.2 (required by amarok-1.1)
- change URL

* Sun Mar 21 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.0-2m)
- change docdir %%defattr

* Mon Feb  9 2004 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (1.0-1m)
- import to Momonga (required by kdemultimedia-3.2.0)
